Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.xml.transform
Class TransformerConfigurationException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.xml.transform.TransformerException
javax.xml.transform.TransformerConfigurationException`

All Implemented Interfaces:
  java.io.Serializable

      public class TransformerConfigurationException

extends TransformerException

Indicates a serious configuration error.

See Also:
  Serialized Form

Constructor Summary
`TransformerConfigurationException()` Create a new `TransformerConfigurationException` with no detail mesage.
`TransformerConfigurationException(java.lang.String msg)` Create a new `TransformerConfigurationException` with the `String` specified as an error message.
`TransformerConfigurationException(java.lang.String message, SourceLocator locator)` Create a new TransformerConfigurationException from a message and a Locator.
`TransformerConfigurationException(java.lang.String message, SourceLocator locator, java.lang.Throwable e)` Wrap an existing exception in a TransformerConfigurationException.
`TransformerConfigurationException(java.lang.String msg, java.lang.Throwable e)` Create a new `TransformerConfigurationException` with the given `Exception` base cause and detail message.
`TransformerConfigurationException(java.lang.Throwable e)` Create a new `TransformerConfigurationException` with a given `Exception` base cause of the error.

Method Summary

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformerConfigurationException

    public TransformerConfigurationException()

  Create a new `TransformerConfigurationException` with no detail mesage.

### TransformerConfigurationException

    public TransformerConfigurationException(java.lang.String msg)

  Create a new `TransformerConfigurationException` with the `String` specified as an error message.
  Parameters:
    `msg` - The error message for the exception.

### TransformerConfigurationException

    public TransformerConfigurationException(java.lang.Throwable e)

  Create a new `TransformerConfigurationException` with a given `Exception` base cause of the error.
  Parameters:
    `e` - The exception to be encapsulated in a TransformerConfigurationException.

### TransformerConfigurationException

    public TransformerConfigurationException(java.lang.String msg,
                                             java.lang.Throwable e)

  Create a new `TransformerConfigurationException` with the given `Exception` base cause and detail message.
  Parameters:
    `e` - The exception to be encapsulated in a TransformerConfigurationException
    `msg` - The detail message.
    `e` - The exception to be wrapped in a TransformerConfigurationException

### TransformerConfigurationException

    public TransformerConfigurationException(java.lang.String message,
                                             SourceLocator locator)

  Create a new TransformerConfigurationException from a message and a Locator.

  This constructor is especially useful when an application is creating its own exception from within a DocumentHandler callback.

  Parameters:
    `message` - The error or warning message.
    `locator` - The locator object for the error or warning.

### TransformerConfigurationException

    public TransformerConfigurationException(java.lang.String message,
                                             SourceLocator locator,
                                             java.lang.Throwable e)

  Wrap an existing exception in a TransformerConfigurationException.
  Parameters:
    `message` - The error or warning message, or null to use the message from the embedded exception.
    `locator` - The locator object for the error or warning.
    `e` - Any exception.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2001 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.